//
// Created by rhetenor on 4/15/19.
//

#include "OutputRequestHandlerFactory.h"
#include "OutputRequestHandler.h"

namespace flippR_driver
{
namespace networking
{
using namespace Poco::Net;

OutputRequestHandlerFactory::OutputRequestHandlerFactory(std::shared_ptr<output::OutputDriver> output_driver) :
  output_driver(output_driver)
{}

HTTPRequestHandler *OutputRequestHandlerFactory::createRequestHandler(const HTTPServerRequest &request)
{
  return new OutputRequestHandler(this->output_driver);
}

}
}
